Package com.io7m.smfj.processing.api

## Class SMFAttributeArrayFloating2.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayFloating2.Builder

- Enclosing class:
    SMFAttributeArrayFloating2

      public static final class SMFAttributeArrayFloating2.Builder
      extends java.lang.Object

  Builds instances of type `SMFAttributeArrayFloating2`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFAttributeArrayFloating2.Builder` | `addAllValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector2D> elements)` | Adds elements to `values` list.
    `SMFAttributeArrayFloating2.Builder` | `addValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector2D element)` | Adds one element to `values` list.
    `SMFAttributeArrayFloating2.Builder` | `addValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector2D... elements)` | Adds elements to `values` list.
    `SMFAttributeArrayFloating2` | `build()` | Builds a new `SMFAttributeArrayFloating2`.
    `SMFAttributeArrayFloating2.Builder` | `from​(SMFAttributeArrayFloating2Type instance)` | Fill a builder with attribute values from the provided `SMFAttributeArrayFloating2Type` instance.
    `SMFAttributeArrayFloating2.Builder` | `setValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector2D> elements)` | Sets or replaces all elements for `values` list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFAttributeArrayFloating2.Builder from​(SMFAttributeArrayFloating2Type instance)

      Fill a builder with attribute values from the provided `SMFAttributeArrayFloating2Type` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public final SMFAttributeArrayFloating2.Builder addValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector2D element)

      Adds one element to `values` list.
      Parameters:
        `element` - A values element
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public final SMFAttributeArrayFloating2.Builder addValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector2D... elements)

      Adds elements to `values` list.
      Parameters:
        `elements` - An array of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### setValues

          public final SMFAttributeArrayFloating2.Builder setValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector2D> elements)

      Sets or replaces all elements for `values` list.
      Parameters:
        `elements` - An iterable of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### addAllValues

          public final SMFAttributeArrayFloating2.Builder addAllValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector2D> elements)

      Adds elements to `values` list.
      Parameters:
        `elements` - An iterable of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFAttributeArrayFloating2 build()

      Builds a new `SMFAttributeArrayFloating2`.
      Returns:
        An immutable instance of SMFAttributeArrayFloating2
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing